Subject: bug#20546: closed (Re: bug#20546: Syntax bug in master branch (till d99fedc5fd38c0))

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 07 Aug 2016 10:33:01 +0000

Your bug report

#20546: Syntax bug in master branch (till d99fedc5fd38c0)

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
20546: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=20546
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#20546: Syntax bug in master branch (till d99fedc5fd38c0)
From: Andy Wingo <[email-masked]>
To: Nala Ginrut <[email-masked]>
Cc: [email-masked]
Date: Sun, 07 Aug 2016 12:32:18 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu 23 Jun 2016 22:27, Andy Wingo <[email-masked]> writes:

> On Mon 11 May 2015 12:29, Nala Ginrut <[email-masked]> writes:
>
>> I'm using master branch (till d99fedc5fd38c0), and I found this code
>> can't run in 2.1, but works in 2.0:
>>
>> (define-syntax define-art
>>   (lambda (x)
>>    (syntax-case x ()
>>     ((_ name) (identifier? #'name)
>>      #`(begin
>>         (define name 2)
>>         (define #,(datum->syntax #'name
>>                   (symbol-append 'define- (syntax->datum #'name)))
>>                 33))))))
>>
>> Of course, the meaning of this code is trivial.
>
> Works for me:

Closing bug.  Please re-open if you can reproduce it; cheers :)

Andy

Subject: Syntax bug in master branch (till d99fedc5fd38c0)
From: Nala Ginrut <[email-masked]>
To: [email-masked]
Date: Mon, 11 May 2015 18:29:26 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

I'm using master branch (till d99fedc5fd38c0), and I found this code
can't run in 2.1, but works in 2.0:

---------------------------------code-------------------------------
(define-syntax define-art
  (lambda (x)
   (syntax-case x ()
    ((_ name) (identifier? #'name)
     #`(begin
        (define name 2)
        (define #,(datum->syntax #'name
                  (symbol-append 'define- (syntax->datum #'name)))
                33))))))
----------------------------------end-------------------------------

Of course, the meaning of this code is trivial.